### Method

# Ggit Repository get_attribute

#### Declaration [src]

    const gchar*
    ggit_repository_get_attribute (
      GgitRepository* repository,
      const gchar* path,
      const gchar* name,
      GgitAttributeCheckFlags flags,
      GError** error
    )

#### Description [src]

Get the attribute value of the specified attribute for the given file.

#### Parameters

`path`

  Type: `const gchar*`

  The relative path to the file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  The name of the attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GgitAttributeCheckFlags`

  A `GgitAttributeCheckFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const gchar*`

The attribute value, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.